MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026470Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-22 15:262016-04-20 15:51
Reporteragv 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version32 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026470: BRepFill_Evolved: exception and invalid result
DescriptionRunning BRepFill_Evolved algorithm with simple spine and profile contours leads to exception or invalid shape result, for different inclinations of the profile
Steps To Reproducerestore ClosedWire.brep a
restore wprof1.brep b
evolved res a b o

> StdFail_NotDone: BRepFill_TrimSurfaceTool::IntersectWith: incoherent intersection

restore wprof2.brep b
evolved res a b o
checkshape res

> Shape faulty_1 on shape faulty_2 :
> BRepCheck_SelfIntersectingWire
Additional information
and documentation updates
Tolerance analysis in some parts of algorithm is changed in order to improve recognition of analytical cases.
TagsNo tags attached.
Test case numberbugs modalg_6 bug26470_1, bug26470_2
Attached Fileszip file icon evolved_faulty.zip (1,565 bytes) 2015-07-22 15:26

- Relationships

-  Notes
(0047255)
git (administrator)
2015-10-21 10:55

Branch CR26470 has been created by ifv.

SHA-1: db6a065cdb87b2d7bfdaba4cd81e570ea9f2aa96


Detailed log of new commits:

Author: ifv
Date: Tue Oct 20 12:18:26 2015 +0300

    0026470: BRepFill_Evolved: exception and invalid result
(0047256)
ifv (developer)
2015-10-21 10:57

Branch CR26470 is ready for testing
(0047323)
git (administrator)
2015-10-22 12:59

Branch CR26470 has been updated by apv.

SHA-1: 7c4eb79643862ae8758247b2757acf7ab59c8b56


Detailed log of new commits:

Author: apv
Date: Thu Oct 22 12:59:26 2015 +0300

    Test-cases for issue 0026470

(0047335)
apv (tester)
2015-10-22 13:50

Dear BugMaster,

Branch CR26470 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: db6a065cdb87b2d7bfdaba4cd81e570ea9f2aa96

Number of compiler warnings:
occt component:
   Linux: 8 (8 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26470_1 - OK
http://occt-tests/CR26470-master-occt-64/Debian70-64/bugs/modalg_6/bug26470_1.html [^]
http://occt-tests/CR26470-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26470_1.html [^]
bugs modalg_6 bug26470_2 - OK
http://occt-tests/CR26470-master-occt-64/Debian70-64/bugs/modalg_6/bug26470_2.html [^]
http://occt-tests/CR26470-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26470_2.html [^]

Testing on Linux:
Total MEMORY difference: 92464419 / 92270186 [+0.21%]
Total CPU difference: 19680.469999999845 / 19657.70999999973 [+0.12%]

Testing on Windows:
Total MEMORY difference: 58023974 / 58040693 [-0.03%]
Total CPU difference: 18194.256229098995 / 17972.407206998967 [+1.23%]
(0047342)
git (administrator)
2015-10-22 15:30

Branch CR26470 has been updated forcibly by msv.

SHA-1: a9ee5a5c82975c36f7c3f1afc80889475c503d3f
(0047362)
git (administrator)
2015-10-23 10:02

Branch CR26470 has been updated forcibly by ifv.

SHA-1: 2fefa993fd5de414241731d256ee8972c36eac1e
(0047363)
ifv (developer)
2015-10-23 10:05

CR26470 is rebased on IR-2015-10-22
(0047364)
ifv (developer)
2015-10-23 10:05

CR26470 is rebased on IR-2015-10-22
(0047365)
ifv (developer)
2015-10-23 10:06

CR26470 is rebased on IR-2015-10-22
(0053196)
git (administrator)
2016-04-17 14:35

Branch CR26470 has been deleted by kgv.

SHA-1: 2fefa993fd5de414241731d256ee8972c36eac1e

- Related Changesets
occt: master df573a26
Timestamp: 2015-10-20 09:18:26
Author: ifv
Committer: bugmaster
Details ] Diff ]
0026470: BRepFill_Evolved: exception and invalid result

Test-cases for issue 0026470
mod - src/BRepFill/BRepFill_ApproxSeewing.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimSurfaceTool.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26470_1 Diff ] File ]
add - tests/bugs/modalg_6/bug26470_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-22 15:26 agv New Issue
2015-07-22 15:26 agv Assigned To => msv
2015-07-22 15:26 agv File Added: evolved_faulty.zip
2015-07-22 15:32 msv Assigned To msv => ifv
2015-10-21 10:55 git Note Added: 0047255
2015-10-21 10:56 ifv Assigned To ifv => msv
2015-10-21 10:56 ifv Status new => resolved
2015-10-21 10:57 ifv Note Added: 0047256
2015-10-21 10:57 ifv Assigned To msv => bugmaster
2015-10-21 10:57 ifv Status resolved => reviewed
2015-10-21 12:13 apv Assigned To bugmaster => apv
2015-10-22 12:59 git Note Added: 0047323
2015-10-22 13:00 apv Test case number => bugs modalg_6 bug26470_1, bug26470_2
2015-10-22 13:50 apv Note Added: 0047335
2015-10-22 13:50 apv Assigned To apv => bugmaster
2015-10-22 13:50 apv Status reviewed => tested
2015-10-22 15:30 git Note Added: 0047342
2015-10-23 10:02 git Note Added: 0047362
2015-10-23 10:05 ifv Note Added: 0047363
2015-10-23 10:05 ifv Status tested => feedback
2015-10-23 10:05 ifv Note Added: 0047364
2015-10-23 10:05 ifv Assigned To bugmaster => msv
2015-10-23 10:05 ifv Status feedback => resolved
2015-10-23 10:06 ifv Note Added: 0047365
2015-10-23 10:06 ifv Assigned To msv => bugmaster
2015-10-23 10:06 ifv Status resolved => reviewed
2015-10-23 12:22 mkv Assigned To bugmaster => apv
2015-10-23 12:30 bugmaster Changeset attached => occt master df573a26
2015-10-23 12:30 bugmaster Assigned To apv => bugmaster
2015-10-23 12:30 bugmaster Status reviewed => verified
2015-10-23 12:30 bugmaster Resolution open => fixed
2015-10-24 21:48 abv Target Version 7.1.0 => 7.0.0
2015-11-19 18:55 ifv Additional Information Updated View Revisions
2016-04-17 14:35 git Note Added: 0053196
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker